//-----------------------------------------------------------------------------
// ./bricklists/default.cs
// These are the default bricks that are loaded into the game.
//
// It works like this:
//
// filename: the brick's filepath
// camera(x,y,z,dist): x,y, and z = angle in degrees of rotation
// dist: camera's distance from the object
// $Pallet::Piece[#group,#place] = "filename camera(x,y,z,dist)";

%g = 0; //group number
%c = 0; // total brick count
//Primitives
$brickPath = "core/data/shapes/bricks/";
//Slates
$Pallet::Piece[%g++,%c++] = $brickpath@"slate1x2 default";
//$Pallet::Piece[%g,%c++] = $brickpath@"slate1x3 default";
$Pallet::Piece[%g,%c++] = $brickpath@"slate1x4 default";
$Pallet::Piece[%g,%c++] = $brickpath@"slate2x2 default";

//Plates
$Pallet::Piece[%g++,%c++] = $brickpath@"plate1x1 default";
$Pallet::Piece[%g,%c++]   = $brickpath@"plate1x2 default";
$Pallet::Piece[%g,%c++]   = $brickpath@"plate1x3 default";
$Pallet::Piece[%g,%c++]   = $brickpath@"plate1x4 default";
$Pallet::Piece[%g,%c++]   = $brickpath@"plate1x6 default";
$Pallet::Piece[%g,%c++]   = $brickpath@"plate1x8 default";
$Pallet::Piece[%g,%c++]   = $brickpath@"plate1x10 default";
$Pallet::Piece[%g,%c++]   = $brickpath@"plate1x12 default";
$Pallet::Piece[%g,%c++]   = $brickpath@"plate2x2 default";
$Pallet::Piece[%g,%c++]   = $brickpath@"plate2x3 default";
$Pallet::Piece[%g,%c++]   = $brickpath@"plate2x4 default";
$Pallet::Piece[%g,%c++]   = $brickpath@"plate6x12 45 0 45 7";

$Pallet::Piece[%g++,%c++] = $brickpath@"brick1x1 default";
$Pallet::Piece[%g,%c++]   = $brickpath@"brick1x2 default";
$Pallet::Piece[%g,%c++]   = $brickpath@"brick1x3 default";
$Pallet::Piece[%g,%c++]   = $brickpath@"brick1x4 default";
$Pallet::Piece[%g,%c++]   = $brickpath@"brick1x6 default";
$Pallet::Piece[%g,%c++]   = $brickpath@"brick1x8 default";
$Pallet::Piece[%g,%c++]   = $brickpath@"brick1x10 default";
$Pallet::Piece[%g,%c++]   = $brickpath@"brick1x12 default";
$Pallet::Piece[%g,%c++]   = $brickpath@"brick1x16 default";
$Pallet::Piece[%g,%c++]   = $brickpath@"brick2x2 default";
$Pallet::Piece[%g,%c++]   = $brickpath@"brick2x3 default";
$Pallet::Piece[%g,%c++]   = $brickpath@"brick2x4 default";
$Pallet::Piece[%g,%c++]   = $brickpath@"brick1x1x5 45 0 30 6";
$Pallet::Piece[%g,%c++]   = $brickpath@"brick1x2x5 45 0 30 6";
//slopes
$Pallet::Piece[%g++,%c++] = $brickpath@"slope2x2 default";

//Inv. Slopes

//Windows
$Pallet::Piece[%g++,%c++] = $brickpath@"window1x4x5 45 0 45 4";

//Etc
$Pallet::Piece[%g++,%c++] = $brickpath@"brick1x1round default";



//$knexpath = "core/data/shapes/knex/";
//Knex
//Don't use these. Seriously.
//$Pallet::Piece[%g++,%c++] = $knexpath@"rodgreen default";
//$Pallet::Piece[%g,%c++] = $knexpath@"rodwhite default";
//$Pallet::Piece[%g,%c++] = $knexpath@"rodblue default";
//$Pallet::Piece[%g,%c++] = $knexpath@"rodyellow default";
//$Pallet::Piece[%g,%c++] = $knexpath@"rodred default";
//$Pallet::Piece[%g,%c++] = $knexpath@"rodgrey default";

//$Pallet::Piece[%g++,%c++] = $knexpath@"connectlightgrey default";
//$Pallet::Piece[%g,%c++] = $knexpath@"connectgrey default";
//$Pallet::Piece[%g,%c++] = $knexpath@"connectred default";
//$Pallet::Piece[%g,%c++] = $knexpath@"connectgreen default";
//$Pallet::Piece[%g,%c++] = $knexpath@"connectyellow default";
//$Pallet::Piece[%g,%c++] = $knexpath@"connectwhite default";
//$Pallet::Piece[%g,%c++] = $knexpath@"sconnectpurple default";
//$Pallet::Piece[%g,%c++] = $knexpath@"sconnectblue default";

$Pallet::CountTotal = %c;
