//-----------------------------------------------------------------------------
// Torque Game Engine 
// Copyright (C) GarageGames.com, Inc.
//-----------------------------------------------------------------------------

//-----------------------------------------------------------------------------
// Server Admin Commands
//-----------------------------------------------------------------------------

function SAD(%password)
{
   if (%password !$= "")
      commandToServer('SAD', %password);
}

function SADSetPassword(%password)
{
   commandToServer('SADSetPassword', %password);
}

function cycleColors(%omg,%x,%y,%z,%trans)
{
    if(%trans)
        commandtoserver('toggletrans',1);
	for(%i=0;%i<%omg*95;%i++)
	{
		commandToServer('PickColor',%i % 95);
		commandToServer('plantObject');
		commandToServer('shiftbrick',%x,%y,%z);
	}
}
//----------------------------------------------------------------------------
// Misc server commands
//----------------------------------------------------------------------------

function clientCmdSyncClock(%time)
{
   // Store the base time in the hud control it will automatically increment.
   HudClock.setTime(%time);
}

function GameConnection::prepDemoRecord(%this)
{
   %this.demoChatLines = HudMessageVector.getNumLines();
   for(%i = 0; %i < %this.demoChatLines; %i++)
   {
      %this.demoChatText[%i] = HudMessageVector.getLineText(%i);
      %this.demoChatTag[%i] = HudMessageVector.getLineTag(%i);
      echo("Chat line " @ %i @ ": " @ %this.demoChatText[%i]);
   }
}

function GameConnection::prepDemoPlayback(%this)
{
   for(%i = 0; %i < %this.demoChatLines; %i++)
      HudMessageVector.pushBackLine(%this.demoChatText[%i], %this.demoChatTag[%i]);
   Canvas.setContent(PlayGui);
}

//-----------------------------------------------------------------------------

function buildcube(%Bx,%By,%Bz,%numx,%numy,%numz)
{
%colors = "0 1 3 5 8 11";
    for(%z=0; %z<%numz;%z++)
    {
        for(%y=0; %y<%numy;%y++)
        {
            for(%x=0;%x<%numx;%x++)
            {
                commandToServer('pickColor',getWord(%colors,getRandom(getWordCount(%colors)-1)));
                commandToServer('plantObject');
                commandToServer('shiftBrick',0,%Bx,0);
            }
        commandToServer('shiftBrick',0,-1*%By*%numy, %Bz);
        }
    commandToServer('shiftBrick',%Bx,0, -1*%numz*%Bz);
    }
}
