//msgCallbacks.cs

//client script, handles messages from the server


addMessageCallback('MsgError', handleError);

function handleError()
{
	alxPlay(AudioError);
}

addMessageCallback('MsgItemPickup', handleItemPickup);

function handleItemPickup(%msgType, %pickupString, %slot, %invName)
{
    nameToID("TxtInvSlot"@%slot++).setValue(detag(%invName));
	alxPlay(ItemPickup);
}
        
addMessageCallback('MsgDropItem', handleDropItem);

function handleDropItem(%msgType, %string, %slot)
{
    nameToID(TxtInvSlot@%slot++).setValue("");
    nameToID("Slot"@%slot@"BG").setBitmap("core/client/ui/GUIBrickSide.png");
}

addMessageCallback('MsgClearInv', handleClearInv);

function handleClearInv(%msgType)
{
	//clear the inventory gui
	$invHilight = -1;
    for(%i=1;%i<=5;%i++) {
    nametoId("TxtInvSlot"@%i).setValue("");
    nametoID("Slot"@%i@"BG").setBitmap("core/client/ui/GUIBrickSide.png");
    }
	
}
        
addMessageCallback('MsgHilightInv', handleHilightInv);

function handleHilightInv(%msgType, %msgString, %slot)
{
    //turn off current hilight
    if(nametoID("Slot"@$invhilight@"BG") > -1)
    nametoID("Slot"@$invhilight@"BG").setBitmap("core/client/ui/GUIBrickSide.png");
    if(%slot > -1)
    nametoID("Slot"@%slot++@"BG").setBitmap("core/client/ui/GUIBrickSideHilight.png");
	//remember which one we have hilighted
	$invHilight = %slot;
}

addMessageCallback('MsgEquipInv', handleEquipInv);

function handleEquipInv(%msgType, %msgString, %slot)
{
    nametoID("Slot"@%slot++@"BG").setBitmap("core/client/ui/GUIBrickSideEquip.png");
}

addMessageCallback('MsgDeEquipInv', handleDeEquipInv);

function handleDeEquipInv(%msgType, %msgString, %slot)
{
	nametoID("Slot"@%slot++@"BG").setBitmap("core/client/ui/GUIBrickSide.png");
}
