datablock StaticShapeData(glassA)
{
	category = "Glass";  // Mission editor category

	className = "Block";
	shapeFile = "~/data/shapes/environment/glassA.dts";
	
	maxDamage = 800;
	destroyedLevel = 800;
	disabledLevel = 600;
	explosion  = brickExplosion;
	expDmgRadius = 8.0;
	expDamage = 0.35;
	expImpulse = 500.0;

	dynamicType = $TypeMasks::StationObjectType;
	isShielded = true;
	energyPerDamagePoint = 110;
	maxEnergy = 50;
	rechargeRate = 0.20;
	renderWhenDestroyed = false;
	doesRepair = true;
	deployedObject = true;
};

datablock StaticShapeData(flowers)
{
	category = "Statics";  // Mission editor category
	//className = baseplate;

	shapeFile = "~/data/shapes/flowers.dts";
	boundingBox = "1.5 1.5 2.65";

	skinName = 'red';
};

datablock StaticShapeData(pineTree)
{
	category = "Statics";  // Mission editor category
	//className = baseplate;

	shapeFile = "~/data/shapes/bricks/pineTree.dts";
	skinName = 'green';
};
