//serverCmd.cs  contains the server end of client commands

function serverCmdKick(%client, %victim)
{
	if(%client.isAdmin || %client.isSuperAdmin)
	{
		//kill the victim client
		if (!%victim.isAIControlled())
		{
			%ip = %victim.getRawIP();
			if(%ip !$= "local")
			{
				//tell everyone about it
				messageAll( 'MsgAdminForce', '\c2The Admin has kicked %1(%2).', %victim.name, %victim.getRawIP());
				//kick them
				%victim.delete("You have been kicked.");
			}
			else
			{
				messageClient(%client, 'MsgAdminForce', '\c2You can\'t kick the local client.');
				return;
			}
		}
		else
		{
			//always kick bots
			%victim.delete("You have been kicked.");
		}
	}
}
function serverCmdBan(%client, %victim)
{
	if(%client.isAdmin || %client.isSuperAdmin)
	{
		//add player to ban list
		if (!%victim.isAIControlled())
		{
			//this isnt a bot so add their ip to the banlist
			%ip = %victim.getRawIP();
			if(%ip !$= "local")
			{
				//tell everyone about it
				messageAll( 'MsgAdminForce', '\c2The Admin has banned %1(%2).', %victim.name, %victim.getRawIP());

				$Ban::numBans++;
				$Ban::ip[$Ban::numBans] = %ip;
			}
			else
			{
				messageClient(%client, 'MsgAdminForce', '\c2You can\'t ban the local client.');
				return;
			}
		}
		//kill the victim client
		%victim.delete("You have been banned.");
	}
}

function serverCmdAdmin(%client,%adminee)
{
 if(%adminee.isAdmin) {
    servercmdDeAdmin(%client,%adminee);
    return;
 }
 if(%client.isAdmin || %client.isSuperAdmin)
 {
    %adminee.isAdmin = true;
    messageAll('MsgClientJoin', '',%adminee.name, %adminee,%adminee.sendGuid,%adminee.score,0,%adminee.isAdmin, %adminee.isSuperAdmin);
      MessageAll('MsgAdmin','\c2%1 has been admined by %2.',%adminee.namebase,%client.namebase);
 }
 else
 {
    MessageClient(%client,'MsgYouStupidIdiot','\c2You must be an Admin to set others as Admin!');
 }
   
}

function serverCmdDeAdmin(%client,%victim)
{
 if(!%victim.isAdmin) {
    MessageClient(%client,'MsgYouStupidIdiot','\c2%1 isn\'t an Admin!',%victim.namebase);
    return;
 }
 if(%client.isAdmin || %client.isSuperAdmin)
 {
    %victim.isAdmin = false;
    messageAll('MsgClientJoin', '',%victim.name, %victim,%victim.sendGuid,%victim.score,0,%victim.isAdmin, %victim.isSuperAdmin);
      MessageAll('MsgAdmin','\c2%1 has been de-admined by %2.',%adminee.namebase,%client.namebase);
 }
 else
 {
    MessageClient(%client,'MsgYouStupidIdiot','\c2You must be an Admin to De-Admin others!');
 }
   
}

function ServerCmduseInventory( %client, %position)
{
	%player = %client.player;
	if(%player.inventory[%position])
		%item = %player.inventory[%position].getId();
	else
		%item = 0;

	if(%item)
	{
		%item.onUse(%player, %position); 
	}
}

function ServerCmddropInventory( %client, %position)
{
	%player = %client.player;
	%item = %player.inventory[%position];
	
	if(%item && %player)
	{
		//throw the item
		%muzzlepoint = Vectoradd(%player.getposition(), "0 0 1.5");
		%muzzlevector = %player.getEyeVector();
		%muzzlepoint = VectorAdd(%muzzlepoint, %muzzleVector);
		%playerRot = rotFromTransform(%player.getTransform());
		%thrownItem = new (item)()
		{
			datablock = %item;
			//initialVelocity = vectorScale(%muzzlevector, 15);	//these dont actually work for some reason
			//initialPosition = "80.0366 -215.868 183.615";
			count = %player.getinventory(%item);
		};
		MissionCleanup.add(%thrownItem);
		%thrownItem.settransform(%muzzlepoint @ " " @ %playerRot);
		%thrownItem.setVelocity(vectorScale(%muzzlevector, 20));
		//%thrownItem.count = %player.getinventory(%item);
		if(%item.persistant == false)
		{
			%thrownItem.schedule($ItemTime, delete);
		}
		//MissionCleanup.add(%thrownItem);

		//%thrownItem.setThrower(%player);
		//%thrownItem.schedule($ItemDropTime, setThrower, 0);
		%thrownItem.setCollisionTimeout(%player);

		//clear inventory slot
		//if our thing is equipped or the currWeapon, unmount the image

		if(%player.isEquiped[%position] == true || %player.currWeaponSlot == %position)
		{
			//this is kind of a backwards way of doing it but it catches things like
			//the bow/superBow and sprayCan combo items.  

			%image = %item.image;
			%mountedImage = %player.getMountedImage(%image.mountPoint);
			
			%player.unMountImage(%image.mountPoint);		
			
			if(%player.currWeaponSlot == %position)
			{
				%player.currWeaponSlot = -1;
				%player.unMountImage($rightHandSlot);	
			}
			else
			{
				%player.isEquiped[%position] = false;
			}
		}

		%player.inventory[%position] = 0;	
		
		if(%item.className $= "Weapon")
			%player.weaponCount--;
		
		messageClient(%client, 'MsgDropItem', "", %position);

	}
	else
	{
		//nothing in the slot, or no player, done
	}
}

function servercmdPlantObject(%client)
{
    %partType = %client.currentPiece.classname;

    if(%partType $= "Block")
        plantBrick(%client);
        
    //Additional item types can/will be added later
}

//[NOTE TO SELF]: Redo Badspot's crappy coding
function ServerCmdShiftBrick( %client, %x, %y, %z)
{
	%player = %client.player;

	
	%tempBrick = %client.edit? %player.selectedObj : %player.tempBrick; 
	
   %forwardVec = %player.getForwardVector();
   %forwardX = getWord(%forwardVec, 0);
   %forwardY = getWord(%forwardVec, 1);
   //echo("forwardvec = ", %forwardVec);

   if(%forwardX > 0){
      if(%forwardX > mAbs(%forwardY)){
         //we are facing basically x+
         //this is the default, dont do anything
      }
      else{
         //we are closer to the y axis, but which direction?
         if(%forwardY > 0){
            //we are facing y +
            %newY = %x;
            %newX = -1 * %y; 
            %x = %newX;
            %y = %newY;
         }
         else{
            //we are facing y -
            %newY = -1 * %x;
            %newX = 1 * %y; 
            %x = %newX;
            %y = %newY;
         }
      }
   }
   else
   {
      if(mAbs(%forwardX) > mAbs(%forwardY)){
         //we are facing basically x-
         //this backwards from default, reverse everything
         %x *= -1;
         %y *= -1;
      }
      else{
         //we are closer to the y axis, but which direction?
         if(%forwardY > 0){
            //we are facing y +
            %newY = %x;
            %newX = -1 * %y; 
            %x = %newX;
            %y = %newY;
         }
         else{
            //we are facing y -
            %newY = -1 * %x;
            %newX = 1 * %y; 
            %x = %newX;
            %y = %newY;
         }
      }
   }

   //Convert lego units to world units'
   %x *= 0.5;
   %y *= 0.5;
   %z *= 0.2;

   shift(%tempbrick, %x, %y, %z);

   ServerPlay3D(brickMoveSound, %tempBrick.getTransform());
}

//moves something x,y,z absolute
function shift(%obj, %x, %y, %z)
{
	%trans = %obj.getTransform();
	
	%transX = getWord(%trans, 0);
	%transY = getWord(%trans, 1);
	%transZ = getWord(%trans, 2);
	%transQuat = getWords(%trans, 3, 5) SPC round(getWord(%trans,6));

	%obj.setTransform(%transX + %x @ " " @ %transY + %y @ " " @ %transZ + %z);

	if(%obj.emitter) {

	   %obj.emitter.setTransform(%obj.getWorldBoxCenter());
	   %obj.emitter.setScale("1 1 1");	     
	}
}

function ServerCmdRotateBrick( %client, %dir)
{
	//echo(%client, " is rotating brick dir = ", %dir);

	%player = %client.player;
	
	%tempBrick = %client.edit? %player.selectedObj : %player.tempBrick; 
 
	if(%tempBrick)
	{
		%brickTrans = %tempBrick.getTransform();

		ServerPlay3D(brickRotateSound, %brickTrans);

		%brickXYZ = getWords(%brickTrans, 0, 2);
		%brickAngle = getWord(%brickTrans, 6);
		%vectorDir = getWord(%brickTrans, 5);

		if(%vectorDir == -1)
			%brickAngle += $pi;
		
		%brickAngle /= $piOver2;
		%brickAngle = mFloor(%brickAngle + 0.1);
		%brickAngle += %dir;

		
		if (%brickAngle > 4)
			%brickAngle -= 4;
		if (%brickAngle <= 0)
			%brickAngle += 4;
		%tempbrick.rotation = "0 0 1" SPC %brickangle*90;
		%tempBrick.setTransform(%brickXYZ);

		if(%dir == 1){
			//dir = 1, clockwise
			if(%brickAngle == 1){
				shift(%tempBrick, 0, 0.5, 0);
			}
			else if(%brickAngle == 2){
				shift(%tempBrick, 0.5, 0, 0);
			}
			else if(%brickAngle == 3){
				shift(%tempBrick, 0, -0.5, 0);
			}
			else if(%brickAngle == 4){
				shift(%tempBrick, -0.5, 0, 0);
			}
		}
		else {
			//dir = -1, counter-clockwise
			if(%brickAngle == 1){
				shift(%tempBrick, -0.5, 0, 0);
			}
			else if(%brickAngle == 2){
				shift(%tempBrick, 0, 0.5, 0);
			}
			else if(%brickAngle == 3){
				shift(%tempBrick, 0.5, 0, 0);
			}
			else if(%brickAngle == 4){
				shift(%tempBrick, 0, -0.5, 0);
			}
		}
	}
	

}
// Coded By: Chris
function PlantBrick(%client)
{
    //Lets kill this mofo if we don't even have a tempbrick out
    if(!%client.player.tempbrick) {
    MessageClient(%client,'msgnoTempbrick',"\c2You don't have a Tempbrick spawned yet!");
    return;
    }
    %player = %client.player;
    
    %tempBrick = %player.tempbrick;
    %tempBrickBounds = %tempBrick.getWorldBox();
    %tempBrickCenter = %tempBrick.getWorldboxCenter();
    %tempBrickTransform = %tempBrick.getTransform();
    %tempBrickRot = %tempBrick.rotation;
    %tempbrickz = %tempBrick.getDatablock().z*getWord(%tempbrick.getScale(),2);
    
    %Minx = round(getWord(%tempbrickbounds,0));
    %Miny = round(getWord(%tempbrickbounds,1));
    %Minz = getWord(%tempbrickbounds,2);
    %Maxx = round(getWord(%tempbrickbounds,3));
    %Maxy = round(getWord(%tempbrickbounds,4));
    %Maxz = getWord(%tempbrickbounds,5);
    
    %xwidth  = round(mAbs(%Maxx - %Minx)) - 0.01;
    %ywidth  = round(mAbs(%Maxy - %Miny)) - 0.01;
    if(%tempBrickz > 0)
    %zheight = round(mAbs(%tempbrickz*0.2)) - 0.05;
    else
    %zheight = round(mAbs(%Maxz - %Minz)) - 0.15;

    if(%zheight <= %ywidth && %zheight <= %xwidth)
    %radius = %zheight;
    else if(%ywidth <= %xwidth && %ywidth <= %zheight)
    %radius = %ywidth;
    else
    %radius = %xwidth;

   %tempbrick.setTransform("-100000 -100000 -100000");
      %center = getWords(%tempbrickcenter,0,1) SPC getWord(%tempbrickcenter,2)+0.05;
   //This Container Search will make sure we aren't placing a brick right inside another one.
   InitContainerRadiusSearch(%center,%radius/2,$TypeMasks::StaticShapeObjectType);
   while((%uhoh = containerSearchNext()) != 0) {
      if(%uhoh !$= %tempBrick) {
         %tempBrick.setAbsoluteRotation(%tempBrickRot,%tempbricktransform);
         messageClient(%client,'msg',"\c2You can't place a brick inside another brick!");
         return; //Fail! We found a brick inside, so lets kill this mofo
         }
   }

    // OK, now we are going to do a box check to see if we are colliding with any objects
    if(!containerBoxEmpty($TypeMasks::StaticShapeObjectType,%center,%xwidth/2,%ywidth/2,%zheight/2))
        %colObject = "another brick";
    if(!containerBoxEmpty($TypeMasks::InteriorObjectType,%center,%xwidth/2,%ywidth/2,%zheight/2))
        %colObject = "an interior";
    if(!containerBoxEmpty($TypeMasks::ItemObjectType,%center,%xwidth/2,%ywidth/2,%zheight/2))
        %colObject = "an item";
    if(!containerBoxEmpty($TypeMasks::PlayerObjectType,%center,%xwidth/2,%ywidth/2,%zheight/2))
        %colObject = "a player";
    if(!containerBoxEmpty($TypeMasks::TerrainObjectType,%center,%xwidth/2,%ywidth/2,%zheight/2))
        %colObject = "terrain";

    if(%colObject !$= "" && !$Pref::Server::Overlap) {
    %tempBrick.setAbsoluteRotation(%tempBrickRot,%tempbricktransform);
    messageClient(%client,'msg',"\c2You can't place a brick inside" SPC %colObject@"!");
    return;
    }
    %tempBrick.setAbsoluteRotation(%tempBrickRot,%tempbricktransform);
    
    //success! Let's create the brick and put it in the desired spot
    %newBrick = new StaticShape()
    {
        datablock = %client.currentPiece;
    };
    %newBrick.ownerIP = %client.getRawIP();
    %newBrick.ownerID = %client.getID();
    %newbrick.setAbsoluteRotation(%tempBrickRot,%tempbricktransform);
    MissionCleanup.add(%newBrick);
    %client.incScore(1);
    %newBrick.setSkinName(%client.paintcolor);
    if(%client.bricktrans != 1 && %tempbrick.getDataBlock().canTrans != false)
    %newBrick.setTrans(%client.bricktrans);
}

function ShapeBase::setAbsoluteRotation(%this,%rot,%transform)
{
    %this.rotation = %rot;
    %this.setTransForm(getWords(%transform,0,2));
}

function ServerCmdCancelBrick(%client)
{
   if(%client.edit)
   {
      %client.player.selectedObj.setSkinName(%client.player.selectedObjcolor);
      %client.player.selectedObj = "";
      %client.player.selectedObjcolor = "";
      return;
   }
	%player = %client.player;
	if(%player.tempBrick)
	{
		%player.tempBrick.delete();
		%player.tempBrick = "";
	}
}

function ServerCmdUpdatePrefs(%client, %name, %skin,
								%headCode, %visorCode, %backCode, %leftHandCode,
								%headCodeColor, %visorCodeColor, %backCodeColor, %leftHandCodeColor)
{
	%client.setPlayerName(%name);
 
	%client.colorSkin					= $legoColor[%skin];

	%client.headCode			= $headCode[%headCode];
	%client.visorCode			= $visorCode[%visorCode];
	%client.backCode			= $backCode[%backCode];
	%client.leftHandCode		= $leftHandCode[%leftHandCode];

	%client.headCodeColor		= addTaggedString($legoColor[%headCodeColor]);
	%client.visorCodeColor		= addTaggedString($legoColor[%visorCodeColor]);
	%client.backCodeColor		= addTaggedString($legoColor[%backCodeColor]);
	%client.leftHandCodeColor	= addTaggedString($legoColor[%leftHandCodeColor]);
	
	%player = %client.player;
	if(isObject(%player))
	{
		if($Server::MissionType $= "SandBox" && %client.player)
		{
			%player.unMountImage($headSlot);
			%player.unMountImage($visorSlot);
			%player.unMountImage($backSlot);
			%player.unMountImage($leftHandSlot);

			%player.setSkinName(%client.colorSkin);
			%player.mountImage(%client.headCode, $headSlot, $headMount, %client.headCodeColor);
			%player.mountImage(%client.visorCode, $visorSlot, $visorMount, %client.visorCodeColor);
			%player.mountImage(%client.backCode, $backSlot, $backMount, %client.backCodeColor);
			%player.mountImage(%client.leftHandCode, $leftHandSlot, $lefthandMount, %client.leftHandCodeColor);

		}
		%player.setShapeName(%client.name);
	}
	
	//update everyone's scoreboard with the new name
	messageAll('MsgClientJoin', '', 
			  %client.name, 
			  %client,
			  %client.sendGuid,
			  %client.score,
			  %client.isAiControlled(), 
			  %client.isAdmin, 
			  %client.isSuperAdmin);
}

function servercmdSetSignText(%client, %text)
{
		%client.selectedObj.setShapeName(%text);
}

function servercmddeleteBrick(%client)
{
   if(%client.player.selectedObj) {
      echo(WTF);
      %client.player.selectedObj.explode();
   }
}
