//painter.cs
//Contains all code related to the spraycan, including
//all the datablocks and colors

//Colors------------------------------------------------------------------------
$LCTotal = -1;
$legoColor[$LCTotal++] = "base";
$legoColor[$LCTotal++] = "red";
$legoColor[$LCTotal++] = "orange";
$legoColor[$LCTotal++] = "yellow";
$legoColor[$LCTotal++] = "green";
$legoColor[$LCTotal++] = "blue";
$legoColor[$LCTotal++] = "purple";
$legoColor[$LCTotal++] = "brown";
$legoColor[$LCTotal++] = "white";
$legoColor[$LCTotal++] = "grayDark";
$legoColor[$LCTotal++] = "grey";
$legoColor[$LCTotal++] = "black";
$legoColor[$LCTotal++] = "brightredlilac";
$legoColor[$LCTotal++] = "brightredorange";
$legoColor[$LCTotal++] = "brightredviolet";
$legoColor[$LCTotal++] = "brightyelloworange";
$legoColor[$LCTotal++] = "brightyellowgreen";
$legoColor[$LCTotal++] = "brightbluegreen";
$legoColor[$LCTotal++] = "brightblueviolet";
$legoColor[$LCTotal++] = "yellowmetallic";
$legoColor[$LCTotal++] = "yellowflipflop";
$legoColor[$LCTotal++] = "warmyelloworange";
$legoColor[$LCTotal++] = "violetmetallic";
$legoColor[$LCTotal++] = "turquoise";
$legoColor[$LCTotal++] = "silver";
$legoColor[$LCTotal++] = "sandyellow";
$legoColor[$LCTotal++] = "sandviolet";
$legoColor[$LCTotal++] = "sandred";
$legoColor[$LCTotal++] = "sandgreen";
$legoColor[$LCTotal++] = "sandblue";
$legoColor[$LCTotal++] = "rust";
$legoColor[$LCTotal++] = "royalblue";
$legoColor[$LCTotal++] = "redlilac";
$legoColor[$LCTotal++] = "redflipflop";
$legoColor[$LCTotal++] = "redbrown";
$legoColor[$LCTotal++] = "nougat";
$legoColor[$LCTotal++] = "neonorange";
$legoColor[$LCTotal++] = "neongreen";
$legoColor[$LCTotal++] = "meduimredviolet";
$legoColor[$LCTotal++] = "mediumyelloworange";
$legoColor[$LCTotal++] = "mediumyellowgreen";
$legoColor[$LCTotal++] = "mediumstonegrey";
$legoColor[$LCTotal++] = "mediumroyalblue";
$legoColor[$LCTotal++] = "mediumred";
$legoColor[$LCTotal++] = "mediumorange";
$legoColor[$LCTotal++] = "mediumlilac";
$legoColor[$LCTotal++] = "mediumgreen";
$legoColor[$LCTotal++] = "mediumblueviolet";
$legoColor[$LCTotal++] = "mediumbluegreen";
$legoColor[$LCTotal++] = "mediumblue";
$legoColor[$LCTotal++] = "lilac";
$legoColor[$LCTotal++] = "lightyelloworange";
$legoColor[$LCTotal++] = "lightyellowgreen";
$legoColor[$LCTotal++] = "lightyellow";
$legoColor[$LCTotal++] = "lightstonegrey";
$legoColor[$LCTotal++] = "lightroyalblue";
$legoColor[$LCTotal++] = "lightreddishviolet";
$legoColor[$LCTotal++] = "lightred";
$legoColor[$LCTotal++] = "lightpurple";
$legoColor[$LCTotal++] = "lightpink";
$legoColor[$LCTotal++] = "lightorangebrown";
$legoColor[$LCTotal++] = "lightorange";
$legoColor[$LCTotal++] = "lightlilac";
$legoColor[$LCTotal++] = "lightgreymetallic";
$legoColor[$LCTotal++] = "lightgrey";
$legoColor[$LCTotal++] = "lightgreen";
$legoColor[$LCTotal++] = "lightbrickyellow";
$legoColor[$LCTotal++] = "lightblueishviolet";
$legoColor[$LCTotal++] = "lightbluegreen";
$legoColor[$LCTotal++] = "lightblue";
$legoColor[$LCTotal++] = "lemonmetallic";
$legoColor[$LCTotal++] = "gunmetallic";
$legoColor[$LCTotal++] = "greyflipflop";
$legoColor[$LCTotal++] = "gold";
$legoColor[$LCTotal++] = "flameyelloworange";
$legoColor[$LCTotal++] = "flameredorange";
$legoColor[$LCTotal++] = "fireyellow";
$legoColor[$LCTotal++] = "fadedgreen";
$legoColor[$LCTotal++] = "earthorange";
$legoColor[$LCTotal++] = "earthgreen";
$legoColor[$LCTotal++] = "earthblue";
$legoColor[$LCTotal++] = "doveblue";
$legoColor[$LCTotal++] = "darkstonegrey";
$legoColor[$LCTotal++] = "darkroyalblue";
$legoColor[$LCTotal++] = "darkred";
$legoColor[$LCTotal++] = "darkorange";
$legoColor[$LCTotal++] = "darknougat";
$legoColor[$LCTotal++] = "darkgreymetallic";
$legoColor[$LCTotal++] = "darkgreen";
$legoColor[$LCTotal++] = "darkcurry";
$legoColor[$LCTotal++] = "curry";
$legoColor[$LCTotal++] = "coolyellow";
$legoColor[$LCTotal++] = "brickyellow";
$legoColor[$LCTotal++] = "bluemetallic";
$legoColor[$LCTotal++] = "blackmetallic";
//------------------------------------------------------------------------------

datablock AudioProfile(painterHitSound)
{
   filename    = "~/data/sound/sprayHit.wav";
   description = AudioClosest3d;
   preload = true;
};
datablock AudioProfile(painterActivateSound)
{
   filename    = "~/data/sound/sprayActivate.wav";
   description = AudioClosest3d;
   preload = true;
};
datablock AudioProfile(painterFireSound)
{
   filename    = "~/data/sound/sprayLoop.wav";
   description = AudioClosestLooping3d;
   preload = true;
};

/////////////
//PARTICLES//
/////////////
datablock ParticleData(PaintTrailParticle)
{
	dragCoefficient		= 3.0;
	windCoefficient		= 0.0;
	gravityCoefficient	= 0.0;
	inheritedVelFactor	= 0.0;
	constantAcceleration	= 0.0;
	lifetimeMS		= 1000;
	lifetimeVarianceMS	= 50;
	spinSpeed		= 10.0;
	spinRandomMin		= -50.0;
	spinRandomMax		= 50.0;
	useInvAlpha		= true;
	animateTexture		= false;
	//framesPerSec		= 1;

	textureName		= "~/data/particles/cloud";

	// Interpolation variables
	colors[0]	= "0.867 0.000 0.000 0.500";
	colors[1]	= "0.000 0.471 0.196 0.500";
	colors[2]	= "0.000 0.317 0.745 0.500";
	colors[3]	= "0.000 0.0 0.0 0.000";
	sizes[0]	= 0.5;
	sizes[1]	= 0.5;
	sizes[2]	= 0.5;
	sizes[3]	= 0.7;
	times[0]	= 0.0;
	times[1]	= 0.5;
	times[2]	= 0.8;
	times[3]	= 1;
};


datablock ParticleData(PaintExplosionParticle)
{
	dragCoefficient      = 2;
	gravityCoefficient   = 0.0;
	inheritedVelFactor   = 0.0;
	constantAcceleration = 0.0;
	lifetimeMS           = 1000;
	lifetimeVarianceMS   = 200;
	textureName          = "~/data/particles/cloud";
	useInvAlpha		= true;
	spinSpeed		= 100.0;
	spinRandomMin		= -50.0;
	spinRandomMax		= 50.0;
	colors[0]	= "0.867 0.000 0.000 0.500";
	colors[1]	= "0.000 0.471 0.196 0.500";
	colors[2]	= "0.000 0.317 0.745 0.500";
	colors[3]	= "0.000 0.0 0.0 0.000";
	sizes[0]	= 0.5;
	sizes[1]	= 0.5;
	sizes[2]	= 0.5;
	sizes[3]	= 0.7;
	times[0]	= 0.0;
	times[1]	= 0.5;
	times[2]	= 0.8;
	times[3]	= 1;
};

////////////
//EMITTERS//
////////////
datablock ParticleEmitterData(PaintTrailEmitter)
{
	ejectionPeriodMS = 5;
	periodVarianceMS = 4;
	ejectionVelocity = 0.25;
	velocityVariance = 0.10;
	ejectionOffset   = 0.1;
	thetaMin         = 0.0;
	thetaMax         = 90.0;  
	phiReferenceVel  = 0;
	phiVariance      = 360;
	overrideAdvance = false;
	particles = PaintTrailParticle;
};

datablock ParticleEmitterData(PaintExplosionEmitter)
{
   ejectionPeriodMS = 5;
   periodVarianceMS = 0;
   ejectionVelocity = 5;
   velocityVariance = 0.0;
   ejectionOffset   = 0.0;
   thetaMin         = 10;
   thetaMax         = 10;
   phiReferenceVel  = 0;
   phiVariance      = 360;
   overrideAdvance = false;
   particles = "PaintExplosionParticle";
};

//////////////
//EXPLOSIONS//
//////////////
datablock ExplosionData(PaintExplosion)
{
   explosionShape = "~/data/shapes/bricks/brick1x1.dts";
   lifeTimeMS = 550;

   soundProfile = painterHitSound;

   //particleEmitter = PaintExplosionEmitter;
  // particleDensity = 10;
  // particleRadius = 0.2;

   faceViewer     = false;
   explosionScale = "1 1 1";

   shakeCamera = false;
   camShakeFreq = "10.0 11.0 10.0";
   camShakeAmp = "1.0 1.0 1.0";
   camShakeDuration = 0.5;
   camShakeRadius = 10.0;

   // Dynamic light
 //  lightStartRadius = 10;
 //  lightEndRadius = 0;
 //  lightStartColor = "1 1 1";
 //  lightEndColor = "0 0 0";
};




///////////////
//PROJECTILES//
///////////////
datablock ProjectileData(PaintProjectile)
{
   //projectileShapeName = "~/data/shapes/arrow.dts";
   explosion           = PaintExplosion;
   particleEmitter     = PaintTrailEmitter;

   muzzleVelocity      = 40;
   velInheritFactor    = 0;

   armingDelay         = 0;
   lifetime            = 1000;
   fadeDelay           = 0;
   bounceElasticity    = 0;
   bounceFriction      = 0;
   isBallistic         = false;
   gravityMod = 0.0;

   hasLight    = false;
   lightRadius = 3.0;
   lightColor  = "0 0 0.5";
};


/////////
//ITEMS//
/////////
datablock ItemData(painter)
{
	category = "Weapon";  // Mission editor category
	className = "tool";   // For inventory system

	 // Basic Item Properties
	shapeFile = "~/data/shapes/spraycan.dts";
	cloaktexture = "~/data/specialfx/cloakTexture";
	skinName = 'ghostyellow';
	rotate = false;
	mass = 1;
	density = 0.2;
	elasticity = 0.2;
	friction = 0.6;
	emap = false;

	 // Dynamic properties defined by the scripts
	pickUpName = 'a painter.';
	invName = 'Painter';
	image = PainterImage;
};

//////////
//IMAGES//
//////////
datablock ShapeBaseImageData(PainterImage)
{
   // Basic Item properties
   shapeFile = "~/data/shapes/spraycan.dts";
	cloaktexture = "~/data/specialfx/cloakTexture";
   skinName = 'ghost';
   emap = false;
    
   mountPoint = 0;
   offset = "0 0 0";

   correctMuzzleVector = true;

   // Add the WeaponImage namespace as a parent, WeaponImage namespace
   // provides some hooks into the inventory system.
   className = "WeaponImage";

   // Projectile && Ammo.
   item = painter;
   ammo = " ";
   projectile = PaintProjectile;
   projectileType = Projectile;

   //melee particles shoot from eye node for consistancy
   melee = false;
   //raise your arm up or not
   armReady = true;

   //casing = " ";

   // Images have a state system which controls how the animations
   // are run, which sounds are played, script callbacks, etc. This
   // state system is downloaded to the client so that clients can
   // predict state changes and animate accordingly.  The following
   // system supports basic ready->fire->reload transitions as
   // well as a no-ammo->dryfire idle state.

   // Initial start up state
	stateName[0]                     = "Activate";
	stateTimeoutValue[0]             = 0.0;
	stateTransitionOnTimeout[0]       = "Ready";
	stateSound[0]					= painterActivateSound;

	stateName[1]                    = "Ready";
	stateTransitionOnTriggerDown[1] = "Fire";
	stateAllowImageChange[1]        = true;
	

	stateName[2]					= "Fire";
	stateScript[2]                  = "onFire";
	stateFire[2]					= true;
	stateAllowImageChange[2]        = true;
	stateTimeoutValue[2]            = 0.10;
	stateTransitionOnTimeout[2]     = "Fire";
	stateTransitionOnTriggerUp[2]	= "Ready";
	stateEmitter[2]					= PaintExplosionEmitter;
	stateEmitterTime[2]				= 0.1;
	stateSound[2]					= painterFireSound;

};

///////////
//METHODS//
///////////
//Collisions//
function paintProjectile::onCollision(%this,%obj,%col,%fade,%pos,%normal){
    %client = %obj.client;
    if(%col.getType() == 67108869 || %col.getType() == 67108873)
	   return;
    if (%col.getClassName() $= "Player" ||
    %col.getClassName() $= "AIPlayer" ||
    %col.getDataBlock().classname $= "block" ||
    %col.getDataBlock().classname $= "baseplate")
      %col.setskinname(%client.paintcolor);
      if(%col.getDataBlock().classname !$= "baseplate"  && %col.getDatablock().canTrans)
      %col.setTrans(%client.bricktrans);
}

function serverCmdTogglePainter(%client) {
    if (%client.player.getmountedimage(0)==nametoid(painterImage))
      %client.player.unmountimage(0);
  else {
    %client.player.mountimage(painterImage,$RightHandSlot,$RightHandMount,%client.paintcolor);
    messageClient(%client, 'MsgHilightInv', '', -1);
    %client.player.currWeaponSlot = -1;
    }
}

//Color setting for color GUI
function serverCmdPickcolor(%client, %color)
{
  %client.settingcolor = "Yes";
	%client.paintcolor = addTaggedString($legoColor[%color]);
     %mountedimage = %client.player.getmountedimage(0);
        if (%mountedimage == nametoid(painterImage) || %mountedimage == nametoid(brickImage)) {
          %client.player.unmountImage(0);
          %client.player.mountImage(%mountedimage,$RightHandSlot,$RightHandMount,%client.paintcolor);
          }
       %client.settingcolor = "No";
}
function servercmdtoggleTrans(%client,%tog) {
if(%tog)
    %client.bricktrans = 0.8;
else
    %client.bricktrans = 1;
if(%client.player.tempbrick)
    %client.player.tempbrick.setTrans(%client.bricktrans );
}
